Skip to main content
PUT
/
libraries
/
{libraryId}
Update Library
curl --request PUT \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "Videos for product launches and announcements updated."
}
'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}"

payload = { "description": "Videos for product launches and announcements updated." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Videos for product launches and announcements updated.'})
};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}"

payload := strings.NewReader("{\n \"description\": \"Videos for product launches and announcements updated.\"\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Videos for product launches and announcements updated.\"\n}"

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.put("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Videos for product launches and announcements updated.\"\n}")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"description\": \"Videos for product launches and announcements updated.\"\n}", false);
var response = await client.PutAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Videos for product launches and announcements updated.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": {
    "updated_at": "2025-10-09T15:02:10.336839114+06:00",
    "created_at": "2025-10-09T14:44:30.511786Z",
    "created_by": "2fa3fe27-ffcd-470b-becf-83f6f22a93ab",
    "updated_by": "2fa3fe27-ffcd-470b-becf-83f6f22a93ab",
    "name": "Product Launch Videos",
    "usage_type": "marketing",
    "description": "Videos for product launches and announcements.",
    "default_privacy": "unlisted",
    "status": "provisioning",
    "region": "us-east-1",
    "id": "5c59072e-2762-4ae9-889e-4ffbe32f7662",
    "distribution_id": "010a8dad-d95c-4331-be79-59c1f0642363",
    "organization_id": "677826f5-1aea-4cba-8973-043cdbc60f35",
    "tags": [
      "product",
      "launch",
      "marketing"
    ]
  },
  "message": "Library Updated Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Invalid Request",
"errors": [
{
"field": "field_name",
"code": "validation_required",
"message": "This field is required"
}
],
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

Body

application/json
description
string
required

Short summary of what this library is used for.

name
string

The display name of the library.

region
string

Deployment region or storage zone for the library.

usage_type
string

Defines how the library will be used.

default_privacy
string

Sets the default privacy mode for uploaded assets.

tags
string[]

List of labels or keywords to categorize and quickly filter libraries (e.g., ["marketing", "training", "internal"]).

Response

data
object
required
message
string
required
success
boolean
required